Subject: Re: [mpls] YANG for MPLS-TP?

From: Greg Mirsky <[email-masked]>
Date: Tue, 30 Jan 2018 17:32:10 -0800

Hi Sasha,
although we had MPLS WG invited to the discussion, I'm calling on Loa (hi,
Loa!) to look into it.
Your the most detailed questions prompted me to investigate and ask my
colleagues. Indeed, ITU-T SG-15 is working on G.8152  Protocol-neutral
management information model for the MPLS-TP network element. SG-15 uses
UML to define informational model so that, as I understand, YANG data model
can be produced automatically (almost). I haven't inspected the document in
all the details but got feeling that MPLS-TP Identifiers and MPLS-TP OAM,
ITU-style, have been addressed. Taking on IETF-style MPLS-TP OAM YANG model
seems to me both logical and useful. Should we, or someone else interested,
take on MPLS-TP Linear and Ring protection RFCs - depends on whether SG-15
using G.8131 sufficiently cover RFC 6378.
I'm very much interested to have comments from MPLS WG whether work on
aspects of MPLS-TP data model, including  draft-zhang-mpls-tp-yang-oam ,is
of interest and has WG support.

Regards,
Greg

On Tue, Jun 14, 2016 at 3:22 AM, Alexander Vainshtein <
[email-masked]> wrote:

> Hi all,
>
> I wonder what are the WG plans (if any) regarding YANG data models for
> MPLS-TP.
>
>
>
> While it is obviously true that static MPLS and MPLS-TP are different
> (neither is the subset of the other), MPLS-TP is today the most important
> application of static MPLS.
>
>
>
> However, after looking up  draft-ietf-mpls-static-yang
> <https://datatracker.ietf.org/doc/draft-ietf-mpls-static-yang/?include_text=1>
> I did not find there any mention of MPLS-TP-specific issues.
>
>
>
> One example that comes to mind is co-routed bi-directional and associated
> bi-directional MPLS-TP LSPs. Other issues include:
>
> 1.       MPLS-TP Identifiers (i.e. YANG model for RFC 6370
> <https://tools.ietf.org/html/rfc6370>). From my POV such a data model is
> a pre-requisite for all MPLS-TP-related work
>
> 2.       MPLS-TP protection mechanisms
>
> 3.       MPLS-TP OAM mechanisms. There is an individual draft
> <https://datatracker.ietf.org/doc/draft-zhang-mpls-tp-yang-oam/?include_text=1>
> that tries to address these issues, but it looks to me like very much
> incomplete. E.g.:
>
> o   It does not even mention RFC 6428
> <https://tools.ietf.org/html/rfc6428>
>
> o   While RFC 6427 <https://tools.ietf.org/html/rfc6427> appears in the
> list of Normative references in this draft, there are no actual references
> to this document.
>
>
>
> Any inputs in this regard would be highly appreciated.
>
>
>
> Regards, and lots of thanks in advance,
>
> Sasha
>
>
>
> Office: +972-39266302 <+972%203-926-6302>
>
> Cell:      +972-549266302 <+972%2054-926-6302>
>
> Email:   [email-masked]
>
>
>
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>
>